Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(180)

Unified Diff: scripts/update.sh

Issue 1639543006: ICU 56 step 6: Check in the pre-built ICU data (Closed) Base URL: https://chromium.googlesource.com/chromium/deps/icu.git@56local_patches
Patch Set: address review comments Created 4 years, 11 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « scripts/single_byte_gen.sh ('k') | scripts/update_tz.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: scripts/update.sh
diff --git a/scripts/update.sh b/scripts/update.sh
old mode 100644
new mode 100755
index a41735c13c68caea0d2cb01eed03452c6921328d..576d0b0b7767f57dd890b04d732a82fd39569634
--- a/scripts/update.sh
+++ b/scripts/update.sh
@@ -8,7 +8,7 @@
if [ $# -lt 1 ];
then
- echo "Usage: $0 version (e.g. '56-1')"
+ echo "Usage: "$0" version (e.g. '56-1')" >&2
exit 1
fi
@@ -19,7 +19,7 @@ treeroot="$(dirname "$0")/.."
# Check if the repo for $version is available.
svn ls "${repo}" > /dev/null 2>&1 || \
- { echo "${repo} does not exist."; exit 2; }
+ { echo "${repo} does not exist." >&2; exit 2; }
echo "Cleaning up source/ ..."
for file in source license.html readme.html APIChangeReport.html
@@ -51,4 +51,7 @@ sed -i.orig -e '/^ac_config_files=/ s:\ layout\(ex\)\{0,1\}/Makefile::g' \
"${treeroot}/source/configure"
rm -f "${treeroot}/source/configure.orig"
+# TODO(jshin): Automatically update BUILD.gn and icu.gypi with the updated
+# list of source files.
+
echo "Done"
« no previous file with comments | « scripts/single_byte_gen.sh ('k') | scripts/update_tz.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698